<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>Edit</p-header>
        <p-accordion>
            <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.detail' | translate}}">  
                <div class="ui-g">
                    <div class="ui-g-12">
                        <label for="field_requirementType">Requirement Type</label>
                    </div>
                    <div class="ui-g-12">
                        <select 
                        (click)="selectRequirementType()"
                        [disabled]="salesUnitRequirement.idRequirement !== null && salesUnitRequirement.idRequirement !== undefined"
                        class="form-control" id="field_requirementtype" name="requirementtype" [(ngModel)]="salesUnitRequirement.idReqTyp" required>
                            <option [ngValue]="null">-Please Select-</option>
                            <option [ngValue]="opt.idRequirementType" *ngFor="let opt of requirementTypes">{{opt.description}}</option>
                        </select>
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-12">
                        <label for="field_requirementNumber">VSO Number</label>
                    </div>
                    <div class="ui-g-12">
                        <input type="text" class="form-control" name="requirementNumber" id="field_requirementNumber" [(ngModel)]="salesUnitRequirement.requirementNumber" readonly/>
                    </div>
                </div>
                <p-fieldset legend="Motor" [toggleable]="true">
                    <div class="ui-g">
                        <div class="ui-g-12">
                            <label jhiTranslate="mpmApp.salesUnitRequirement.product" for="field_product">Product</label>
                        </div>
                        <div class="ui-g-12">
                            <p-dropdown *ngIf="!fetchMotor" 
                                name="field_product" 
                                id="field_product"
                                [options]="motorsForSelect" 
                                [(ngModel)]="selectedMotor" 
                                [style]="{'width':'100%'}" 
                                (onChange)="selectMotor(true)" [filter]="true" filterBy="label">
                            </p-dropdown>
                            <jhi-fetching-data 
                                *ngIf="fetchMotor"
                            ></jhi-fetching-data>
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12">
                            <label>Harga Off The Road</label>
                            <div class="ui-g-12">
                                <input type="text" currencyMask class="form-control" pInputText name="het_price" id="het_price" readonly="true" [(ngModel)]="salesUnitRequirement.hetprice" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }">
                            </div>
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12">
                            <label>Harga BBN</label>
                            <div class="ui-g-12">
                                <input type="text" currencyMask class="form-control" pInputText name="bbn_price" id="bbn_price" readonly="true" [(ngModel)]="salesUnitRequirement.bbnprice" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }">
                            </div>
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12">
                            <label jhiTranslate="mpmApp.salesUnitRequirement.common.unitPrice" for="unit_price">Harga Unit On The Road</label>
                            <div class="ui-g-12">
                                <input type="text" currencyMask class="form-control" pInputText name="unit_price" id="unit_price" readonly [(ngModel)]="salesUnitRequirement.unitPrice" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }">
                            </div>
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.color' | translate}}</div>
                        <div class="ui-g-12">
                            <select class="form-control" id="field_color" name="color" [(ngModel)]="salesUnitRequirement.colorId">
                            <option [ngValue]="null">-Please Select-</option>
                            <option [ngValue]="featureOption.idFeature" *ngFor="let featureOption of features; trackBy: trackFeatureById">{{featureOption.refKey}} - {{featureOption.description}}</option>
                        </select>
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12 mandatory">Tahun Produksi</div>
                        <div class="ui-g-12">
                            <select class="form-control" id="field_year" name="year" [(ngModel)]="salesUnitRequirement.productYear" required>
                                <option [ngValue]="null">-Please Select-</option>
                                <option [ngValue]="year" *ngFor="let year of years">{{year}}</option>
                            </select>
                        </div>
                    </div>
                </p-fieldset>
                <div class="ui-g">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.noteRequestNokaNosin' | translate}}</div>
                    <div class="ui-g-12">
                        <textarea id="requestIdMachineAndFrame" name="requestIdMachineAndFrame" [(ngModel)]="salesUnitRequirement.requestIdMachineAndFrame" class="form-control" rows="3" maxlength="300"></textarea>
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.policeNumber' | translate}}</div>
                    <div class="ui-g-12">
                        <input id="nomor_nopol" name="nomor_nopol" [(ngModel)]="salesUnitRequirement.requestpoliceid" class="form-control" maxlength="300">
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.notePartner' | translate}}</div>
                    <div class="ui-g-12">
                        <textarea id="note_partner" name="note_partner" [(ngModel)]="salesUnitRequirement.notePartner" class="form-control" rows="3" maxlength="300"></textarea>
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.note' | translate}}</div>
                    <div class="ui-g-12">
                        <textarea id="note" name="note" [(ngModel)]="salesUnitRequirement.note" class="form-control" rows="3" maxlength="300"></textarea>
                    </div>
                </div>
            </p-accordionTab>
            <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.dataCustomer' | translate}}">
                <jhi-customer-view 
                    *ngIf="isPerson"
                    [idCustomer]="salesUnitRequirement.customerId"
                ></jhi-customer-view>
                <jhi-organization-view 
                    *ngIf="isOrganization"
                    [organization]="salesUnitRequirement.organizationCustomer.organization">
                </jhi-organization-view>
            </p-accordionTab>
        </p-accordion>
    </p-panel>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
